Bug 79116 - make paste special easier to use
Summary: make paste special easier to use
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Thomas Viehmann
URL:
Whiteboard: target:4.4.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-05-23 11:36 UTC by Michael Meeks
Modified: 2016-02-18 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (17.34 KB, image/png)
2014-08-14 19:46 UTC, Thomas Viehmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-05-23 11:36:26 UTC
The paste-special allows a ton of useful stuff to be done; -but- it is a royal pain to use.

By far my most useful set of settings is to allow numbers, and formats, and ... to be pasted, but not the formulae behind them.

There are several other sets of useful pre-canned settings there too.

It would be lovely to have a toolbar-type row of icons inside this dialog (ux-advise input appreciated) to allow selection of a pre-canned set of options.

It'd be sensible to use missing or home-drawn images for the buttons until we can get a designer to produce some attractive ones :-)

Code is here:

http://opengrok.libreoffice.org/xref/core/sc/source/ui/miscdlgs/inscodlg.cxx

Thanks !
Comment 1 Björn Michaelsen 2014-05-23 12:13:21 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 2 Cor Nouws 2014-07-06 08:47:14 UTC
(we usually set the version to the oldest know version with the behaviour that is challenged ;) )
Comment 3 Thomas Viehmann 2014-08-14 19:46:08 UTC
Created attachment 104635 [details]
Screenshot

Hi,

I would like to see if I can offer something for the resolution of this bug.

Kind regards

Thomas
Comment 4 Thomas Viehmann 2014-08-14 22:40:39 UTC
Hello,

a proposed patch is at https://gerrit.libreoffice.org/#/c/10928/

It currently has
- Paste values only,
- paste values and formats,
- paste transpose.
These are the ones I use most, but other desirable short cut combinations can be added as well.
The would-be icons are based on the paste symbol in the galaxy theme.

I appreciate any comment you may have.

Thank you,

Thomas
Comment 5 Commit Notification 2014-08-15 00:51:56 UTC
Thomas Viehmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6af3bc396eedde71e40c3e8d714a728c8fa881aa

fdo#79116 make paste special easier to use



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2014-08-15 01:07:17 UTC
Awesome work Thomas =) thanks for that - pushed to master (perhaps the calc guys will have a comment here or there :-), and looking forward to your next commit. Anything else you can see to cleanup around that dialog ?

Failing that could I interest you in bug#82641 - I (for one) would find that rather useful too ;-)
Comment 7 Adolfo Jayme 2014-08-15 06:23:59 UTC
This looks like something that needs to be highlighted in the release notes :-)
https://wiki.documentfoundation.org/ReleaseNotes/4.4
Comment 8 Robinson Tryon (qubit) 2015-12-15 23:57:28 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicCleanup)
[NinjaEdit]
Comment 9 Robinson Tryon (qubit) 2016-02-18 16:37:09 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]